Name:		ninja
Version:	1.7.2
Release:	%mkrel 1
Group:		Development/Tools
Summary:	A small build system with a focus on speed

License:	ASL 2.0
URL:		https://ninja-build.org/
Source0:	https://github.com/ninja-build/ninja/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:	ninja.vim
Source2:	macros.ninja

BuildRequires:	asciidoc
BuildRequires:	gtest-devel
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	python3

Provides:	ninja-build = %{version}-%{release}

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%setup -q

%build
%setup_compile_flags
./configure.py --bootstrap --verbose --with-python=%{__python3}

./ninja -v manual
./ninja -v ninja_test


%install
rm -rf %buildroot
# TODO: Install ninja_syntax.py?
install -D -p -m 755 ninja %{buildroot}%{_bindir}/ninja
install -D -p -m 644 misc/bash-completion %{buildroot}/%{_sysconfdir}/bash_completion.d/ninja-bash-completion
install -D -p -m 644 misc/ninja-mode.el %{buildroot}/%{_datadir}/emacs/site-lisp/ninja-mode.el
install -D -p -m 644 misc/ninja.vim %{buildroot}/%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -D -p -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
install -D -p -m 644 misc/zsh-completion %{buildroot}/%{_datadir}/zsh/site-functions/_ninja
install -D -p -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/rpm/macros.d/ninja.macros

%files
%doc README doc/manual.html COPYING
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/ninja-bash-completion
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
%{_datadir}/zsh/site-functions/_ninja
%{_sysconfdir}/rpm/macros.d/ninja.macros


%changelog
* Sat Sep 02 2017 adrianomorselli <adrianomorselli> 1.7.2-1uplos2017
- update
